=== debian/changelog ===
ros-indigo-realsense-camera (1.8.1-1trusty) trusty; urgency=high

  * Added missing ZR300 launch file arguments (#259)
  * Fixed ZR300 launch file typo (#244)
  * Added LR200 support (#245)
  * Added RGDB launch file for the ZR300
  * Updated code to cache ZR300 IMU data (#186)
  * Contributors: Benjamin Maidel, Dinesh Bolkensteyn, Itay Carpis, Junya Hayashi, Matt Curfman, Murilo Belluzzo, Reagan Lopez, Sergey Dorodnicov

 -- Sergey Dorodnicov <sergey.dorodnicov@intel.com>  Tue, 19 Dec 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.8.0-1trusty) trusty; urgency=high

  * Enable configuration of the TF publication rate when using tf_dynamic
  * Enable roslint when CATKIN_ENABLE_TESTING is True
  * Add option to link against non-catkin librealsense
  * Fixed LR auto exposure (#131)
  * Dynamic reconfig autoexposure/exposure control SR300/F200/R200 (#213)
  * Added check for depth_enable dynamic change
  * Update Debug Tool
  * Added SyncNodelet class as new base for F200/SR300/R200 (#207, #210)
  * Contributors: Amanda Brindle, Dmitry Rozhkov, James Sergeant, Mark Horn, Matthew Hansen, Reagan Lopez, Séverin Lemaignan

 -- Matt Curfman <matthew.c.curfman@intel.com>  Sun, 26 Mar 2017 21:00:00 -0000

ros-indigo-realsense-camera (1.7.2-1trusty) trusty; urgency=high

  * Create tool to get debug info
  * Change tf to using setRPY for consistency
  * Changed fisheye_strobe and fisheye_external_trigger to static params
  * Contributors: Amanda Brindle, Mark Horn, Matthew Hansen, Wang Jinliang

 -- Matt Curfman <matthew.c.curfman@intel.com>  Tue, 28 Feb 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.7.1-1trusty) trusty; urgency=high

  * Generate Warning for non-validated camera firmware
  * Use shared timestamp for SR300/F200 cameras
  * Added retry in tests to avoid random failures
  * Contributors: Amanda Brindle, Mark D Horn, Ning Wang

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Fri, 13 Jan 2017 22:00:00 -0000

ros-indigo-realsense-camera (1.7.0-1trusty) trusty; urgency=high

  * Enable ROS Lint
  * Update RGBD launch files
  * Add Dynamic Transforms support -- multi-cam (#120)
  * Change color stream default to 30fps
  * Major code refactor to use librealsense callbacks
  * Added imu_start_ts for imu sync
  * Make system wrapper function generic
  * Don't ignore linker flags set by user (Yocto fix)
  * Changed nodelet to use camera timestamps
  * Migrate README.md content to ROS wiki
  * Contributors: Dmitry Rozhkov, Mark D Horn, Matt Hansen

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Mon, 19 Dec 2016 22:00:00 -0000

ros-indigo-realsense-camera (1.6.1-1trusty) trusty; urgency=high

  * Clean up system process calls
  * Display warning for hardcoded extrinsic
  * Added exception handling
  * Improve error messages
  * Prevent double freeing of error data
  * Added enable_ir args to modify_params tests for R200,SR300,F200
  * Added enable IR and IR2 flags to rgbd launch file
  * Added RVIZ file for viewing RGBD pointcloud
  * Added realsense_default rviz file
  * Added ability to enable IR2 stream for ZR300
  * Added ability to enable IR streams independent of depth
  * Make building ROS unit tests optional
  * Add ROS Issue Tracking to ROS Wiki
  * Contributors: Dmitry Rozhkov, Mark D Horn, Matt Hansen

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Thu, 17 Nov 2016 22:00:00 -0000

ros-indigo-realsense-camera (1.6.0-1trusty) trusty; urgency=high

  * Set DC defaults based on the configured preset (#132)
  * Added initial support for ZR300 camera
  * Contributors: Mark Horn, Reagan Lopez

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 26 Oct 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.5.0-1trusty) trusty; urgency=high

  * Remove obsolete realsense_navigation files.
  * Add depth control preset option (#106)
  * Modify launch files for topic remapping.
  * Use node handles to enable easier remapping
  * Remove invalid SR300 Camera option
  * Added multiple cameras support for camera power services
  * Added services to start and stop the camera (#85)
  * Added a RGBD launch file for SR300
  * Clean-up CMakeLists.txt for librealsense
  * Contributors: Amber Elliot, Kevin C Wells, Mark D Horn, Séverin Lemaignan, Tully Foote, Rajvi Jingar

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 21 Sep 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.4.0-1trusty) trusty; urgency=high

  * Updated Install Instructions for ROS Packages
  * Added Errata for F200/SR300 Camera Types
  * Make librealsense pkg required
  * Added code to read depth scale from camera (intel-ros/realsense#46)
  * Fix SR300 Max Z + Type casting
  * Updated default values for SR300 camera options
  * Updated documentation with SR300 camera details
  * Updated tests to include SR300 distortion parameters
  * Added fix to remove blurriness from SR300 IR stream
  * Added initial support for SR300 cameras (#6)
  * Change to Static Transforms for camera (#84)
  * Contributors: Mark D Horn, Reagan Lopez, Salah-Eddine Missri, Lincoln Lorenz

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Thu, 18 Aug 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.3.0-1trusty) trusty; urgency=high

  * Fix the Install for Includes
  * Move header files
  * Updated README for F200 cameras
  * Added initial support for F200 cameras
  * Refactored code for new cameras
  * Contributors: Mark D Horn, Reagan Lopez, Yuki Furuta

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Wed, 27 Jul 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.2.1-1trusty) trusty; urgency=high

  * Fix starting /camera/get_settings Service
  * Correct ROS Dependencies Install command

 -- Rajvi Jingar <rajvi.jingar@intel.com>  Tue, 12 Jul 2016 21:00:00 -0000

ros-indigo-realsense-camera (1.2.0-1trusty) trusty; urgency=high

  * Update for ROS librealsense Package Release
  * Added navigation package changes related to camera package refactor
  * Updated artifacts to disable native pointcloud by default
  * Refactored R200 code into derived class
  * Added polling for camera

