=== debian/control ===
Source: ros-indigo-realsense-camera
Section: misc
Priority: extra
Maintainer: Sergey Dorodnicov <sergey.dorodnicov@intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-librealsense (>= 1.12.1), ros-indigo-message-generation, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: http://www.ros.org/wiki/RealSense
Standards-Version: 3.9.2

Package: ros-indigo-realsense-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-camera-info-manager, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-librealsense, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-pcl-ros, ros-indigo-rgbd-launch, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: RealSense Camera package allowing access to Intel 3D cameras and advanced modules
